CompactionParams (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.schema

## Class CompactionParams

- java.lang.Object
- - org.apache.cassandra.schema.CompactionParams

-     public final class CompactionParams
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CompactionParams.Option`
    `static class` | `CompactionParams.TombstoneOption`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CompactionParams` | `DEFAULT`
    `static boolean` | `DEFAULT_ENABLED`
    `static int` | `DEFAULT_MAX_THRESHOLD`
    `static int` | `DEFAULT_MIN_THRESHOLD`
    `static CompactionParams.TombstoneOption` | `DEFAULT_PROVIDE_OVERLAPPING_TOMBSTONES`
    `static java.util.Map<java.lang.String,java.lang.String>` | `DEFAULT_THRESHOLDS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `asMap()`
    `static CompactionParams` | `create(java.lang.Class<? extends AbstractCompactionStrategy> klass, java.util.Map<java.lang.String,java.lang.String> options)`
    `boolean` | `equals(java.lang.Object o)`
    `static CompactionParams` | `fromMap(java.util.Map<java.lang.String,java.lang.String> map)`
    `int` | `hashCode()`
    `boolean` | `isEnabled()`
    `java.lang.Class<? extends AbstractCompactionStrategy>` | `klass()`
    `static CompactionParams` | `lcs(java.util.Map<java.lang.String,java.lang.String> options)`
    `int` | `maxCompactionThreshold()`
    `int` | `minCompactionThreshold()`
    `java.util.Map<java.lang.String,java.lang.String>` | `options()` All strategy options - excluding 'class'.
    `static CompactionParams` | `scts(java.util.Map<java.lang.String,java.lang.String> options)`
    `static boolean` | `supportsThresholdParams(java.lang.Class<? extends AbstractCompactionStrategy> klass)`
    `CompactionParams.TombstoneOption` | `tombstoneOption()`
    `java.lang.String` | `toString()`
    `void` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MIN_THRESHOLD

          public static final int DEFAULT_MIN_THRESHOLD

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_THRESHOLD

          public static final int DEFAULT_MAX_THRESHOLD

      See Also:
        Constant Field Values

    - #### DEFAULT_ENABLED

          public static final boolean DEFAULT_ENABLED

      See Also:
        Constant Field Values

    - #### DEFAULT_PROVIDE_OVERLAPPING_TOMBSTONES

          public static final CompactionParams.TombstoneOption DEFAULT_PROVIDE_OVERLAPPING_TOMBSTONES

    - #### DEFAULT_THRESHOLDS

          public static final java.util.Map<java.lang.String,java.lang.String> DEFAULT_THRESHOLDS

    - #### DEFAULT

          public static final CompactionParams DEFAULT

  - ### Method Detail

    - #### create

          public static CompactionParams create(java.lang.Class<? extends AbstractCompactionStrategy> klass,
                                                java.util.Map<java.lang.String,java.lang.String> options)

    - #### scts

          public static CompactionParams scts(java.util.Map<java.lang.String,java.lang.String> options)

    - #### lcs

          public static CompactionParams lcs(java.util.Map<java.lang.String,java.lang.String> options)

    - #### minCompactionThreshold

          public int minCompactionThreshold()

    - #### maxCompactionThreshold

          public int maxCompactionThreshold()

    - #### tombstoneOption

          public CompactionParams.TombstoneOption tombstoneOption()

    - #### validate

          public void validate()

    - #### klass

          public java.lang.Class<? extends AbstractCompactionStrategy> klass()

    - #### options

          public java.util.Map<java.lang.String,java.lang.String> options()

      All strategy options - excluding 'class'.

    - #### isEnabled

          public boolean isEnabled()

    - #### fromMap

          public static CompactionParams fromMap(java.util.Map<java.lang.String,java.lang.String> map)

    - #### supportsThresholdParams

          public static boolean supportsThresholdParams(java.lang.Class<? extends AbstractCompactionStrategy> klass)

    - #### asMap

          public java.util.Map<java.lang.String,java.lang.String> asMap()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation